Skip to main content

This browser is no longer supported.

Upgrade to Microsoft Edge to take advantage of the latest features, security updates, and technical support.

Download Microsoft Edge More info about Internet Explorer and Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Evaluators

List evaluator diagnostics

GET /evaluators/{name}/diagnostics

Returns immutable publication lineage for the specified evaluator.

Time, evaluator-version, dimension, and type filters are intersected. Returns recorded changes from completed evaluator version writes. Historical backfill and diagnostic calculation jobs are not included.

Header parameters

Foundry-Features enum required

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Evaluations=V1Preview

Path parameters

name string required

The evaluator name.

Query parameters

after string

A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.

before string

A cursor for use in pagination. before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include before=obj_foo in order to fetch the previous page of the list.

limit integer

The maximum number of lineage entries to return, between 1 and 100. The default is 20.

order enum

Sort completed diagnostics by occurred_at, then diagnostic identifier. The default is desc.

ascdesc
start_time integer

Inclusive lower bound for the diagnostic occurrence time, expressed as Unix seconds.

end_time integer

Inclusive upper bound for the diagnostic occurrence time, expressed as Unix seconds. Includes all entries occurring within that second.

evaluator_version string

Filter lineage diagnostics by the exact published evaluator version.

dimension_id string

Filter completed diagnostics for one public rubric dimension identifier.

type EvaluatorDiagnosticType[]

Filter by one or more completed diagnostic types by repeating the query parameter.

api-version string required

The API version to use for this operation.

Responses

The request has succeeded.

Body

Content-Type: application/json
data EvaluatorDiagnostic[] required

The recorded evaluator diagnostics.

first_id string | null

The first diagnostic identifier represented in this page.

last_id string | null

The last diagnostic identifier represented in this page.

has_more boolean required

Whether more diagnostic entries are available.

Client error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Server error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Request

GET /evaluators/{name}/diagnostics HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
en-us
Your Privacy Choices
  • AI Disclaimer
  • Previous Versions
  • Blog
  • Contribute
  • Privacy
  • Consumer Health Privacy
  • Terms of Use
  • Trademarks
  • © Microsoft 2026